Name:           togglecashew
Version:        0.3
Release:        %mkrel 1
License:        GNU General Public License (GPL)
URL:            http://www.pclinuxos.com
Source:         %{name}-%{version}.tar.xz
Summary:        Show/hide KDE Cashew
Summary(de):	Ein-/Ausblenden der KDE Cashew 
Group:          Graphics
Obsoletes:      %{name} < %version
Requires:	zenity bash oxygen-icon-theme
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
BuildRoot: 	%{_tmppath}/%{name}-build
BuildArch:	noarch

%description
Script to show or hide the Cashew at the top right of the KDE desktop.

%description -l de
Skript zum Anzeigen oder Verbergen der Cashew links oben auf der KDE Arbeitsfläche

%prep

%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

# define desktop files 
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/kde4
cat > $RPM_BUILD_ROOT%{_datadir}/applications/kde4/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=togglecashew
Exec=togglecashew
Comment=Show/hide KDE Cashew
Icon=/usr/share/icons/oxygen/32x32/apps/plasma.png
Categories=System;X-MandrivaLinux-System-Configuration;
Terminal=false
Encoding=UTF-8
StartupNotify=true
OnlyShowIn=KDE
EOF


%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop

# Changes
#=======================================
%changelog
* Tue Oct 09 2012 Neal <nealbrks0 at gmail dot com> 0.3-1pclos2012
- process

* Tue Oct 09 2012 Pinoc <vogtpet at gmail.com> 0.3-1pclos2012
- fix to work on cornerd cashew

* Tue Oct 09 2012 Pinoc <vogtpet at gmail.com> 0.2-1pclos2012
- fix to work on customised desktops
- unified process on FullMonty and KDE

* Mon Oct 08 2012 Pinoc <vogtpet at gmail.com> 0.1-1pclos2012
- initial build
